For the complete documentation index, see llms.txt. This page is also available as Markdown.

Security

get
Responses
200

OK

objectOptional
get
/api/oauth/microsoft
200

OK

post
Body
DebugbooleanOptional
PagingbooleanOptional
SecretstringOptional
Lifetimeinteger · int32Optional
Organizationstring · uuidOptionalExample: 00000000-0000-0000-0000-000000000000
Agentstring · uuidOptionalExample: 00000000-0000-0000-0000-000000000000
Subjectstring · uuidOptionalExample: 00000000-0000-0000-0000-000000000000
Responses
200

OK

objectOptional
post
/api/token
200

OK

post
Responses
200

OK

objectOptional
post
/api/token/validate
200

OK

Confirm authentication and authorization access to SiteBuilder

post

INTERNAL USE ONLY. This endpoint is used by Site Builder websites to authenticate site administrators. It returns HTTP 200 OK only if the login credentials are a valid match for an administrator with permission granted on the Site Builder tools.

Body
EmailstringOptional
PasswordstringOptional
OrganizationIdentifierstring · uuidOptionalExample: 00000000-0000-0000-0000-000000000000
Responses
200

OK

objectOptional
post
/api/authenticate
200

OK

post
Responses
200

OK

objectOptional
post
/api/client/cookie
200

OK

Generates a new client secret for the authenticated user, replacing any existing secret.

post
Query parameters
expiryinteger · int32Optional

The number of days until the secret expires. If omitted, the default is assumed (90 days).

Responses
200

OK

objectOptional
post
/api/secret/generate
200

OK

Extends the lifetime of the authenticated user's existing client secret without changing the secret value.

put
Query parameters
expiryinteger · int32Required

The desired number of days until the secret expires. Capped at a maximum of 90 days.

Responses
200

OK

objectOptional
put
/api/secret/extend
200

OK

get
Query parameters
sessionstringRequired
Responses
200

OK

objectOptional
get
/api/sessions/timeout
200

OK

Last updated

Was this helpful?